%define upstream_name    Protocol-Redis
%define upstream_version 1.0004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Reusable tests for Protocol::Redis implementations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Protocol/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Redis protocol parser/encoder with asynchronous capabilities and
http://redis.io/topics/pipelining support.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.400-7.mga8
+ Revision: 1506094
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.400-6.mga7
+ Revision: 1285899
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.0.400-5.mga7
+ Revision: 1166393
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.0.400-4.mga7
+ Revision: 1160372
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.0.400-3.mga6
+ Revision: 1032711
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.0.400-2.mga6
+ Revision: 968608
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 1.0.400-1.mga6
+ Revision: 854084
- update to 1.0004

* Wed Oct 15 2014 umeabot <umeabot> 1.0.300-5.mga5
+ Revision: 741775
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.300-4.mga5
+ Revision: 686067
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.300-3.mga4
+ Revision: 514346
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.300-2.mga3
+ Revision: 372175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.0.300-1.mga3
+ Revision: 255403
- update to 1.0003

* Fri Dec 16 2011 kharec <kharec> 1.0.200-1.mga2
+ Revision: 182568
- update to 1.0002

* Sun Dec 11 2011 kharec <kharec> 1.0.100-1.mga2
+ Revision: 180704
- imported package perl-Protocol-Redis


* Sun Dec 11 2011 cpan2dist 1.0001-1mga
- initial mageia release, generated with cpan2dist
